Home / Oracle, Ribbon, and AudioCodes / Identity at a trust boundary
Identity at a trust boundary
P-Asserted-Identity is a network-asserted identity. An SBC at a trust boundary decides whether that assertion continues.
Learn in 5 minutes
- Read P-Asserted-Identity and Privacy
- Strip an assertion that arrives from an untrusted peer
- Use the interop guide for header mapping
Visual
Add an assertion only for a peer you are willing to tell the identity to.
Worked example
Find the assertion Dissect the carrier INVITE. Which header asserts the identity?
Vendor menus, ports, and license names change. Confirm before relying on a sentence that is not an RFC.
Fault
CUCM receives P-Asserted-Identity copied from the carrier INVITE. The carrier is not inside the trust boundary.
The outbound INVITE still contains the carrier’s P-Asserted-Identity.
Quiz
Ecosystem
Glossary, sister systems, and the integration seam for this room.
AI omni-channel agents A voice bot still needs a session. SIP creates, modifies, and ends sessions. Omni-channel, in the contact-center sense, means the same contact can also live on chat or another digital channel. Those channels do not replace the voice session. On Amazon Connect the platform owns the managed PSTN voice channel. Bridging an outside carrier into Connect with a Chime Voice Connector is not a supported pattern unless AWS reviews it. When an SBC forks the voice leg to a recorder, that fork is SIPREC, a different plane from the customer dialog.
AI agents A voice bot still needs a session. On Amazon Connect the platform owns the managed PSTN voice channel. Bridging an outside carrier into Connect with a Chime Voice Connector is not a supported pattern unless AWS reviews it. The FreeSWITCH manual page also describes SignalWire, founded by the FreeSWITCH team, as a hosted platform with AI agents behind REST APIs and SWML.
Sources and go deeper
- RFC 3325 — last checked 2026-10
- RFC 3323 — last checked 2026-10
- RFC 5806 — last checked 2026-10
- RFC 7044 — last checked 2026-10
- Ribbon SBC interoperability guides — last checked 2026-10